DataONE API version 2 needs to be supported
Status: Closed Start date: 2014-08-12

Priority: Normal Due date: 2015-01-06

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

This is an overarching story for v2 of the DataONE Service API.  After many planning meetings, we decided to pursue a v2 design

that supports versionable content using a seriesId field in the system metadata for each object.  Likewise, API changes in v2 will

support Member Node management of system metadata in the federation, as opposed to Coordinating Node management (which is

the current state). For background on decisions, see the latest "design document":

https://docs.google.com/a/nceas.ucsb.edu/document/d/1uK4WqoMuMqM93J03Z2N1Hm2-IkgZe4kXMNlieSjS-SY/edit , which will be

moved into the DataONE documents repository.

The implementation involves changes to the DataONE Types Schema, the low level libraries (d1_common_java and

d1_common_python) that express the API changes, and each software component in the Coordinating Node stack and various

Member Node stacks.

Related issues:

Related to Infrastructure - Task #6039: Migrate all CN component POMs to Java... Closed 2014-08-19

Related to Infrastructure - Task #6025: Implement support for CCI v2.0 in Pyt... In Progress 2014-08-01

Related to Infrastructure - Story #3755: Structural changes to D1 APIs for 2.... Closed 2013-05-09 2015-01-06

Related to Infrastructure - Story #2829: Structural changes to D1 Data Types ... Closed 2012-06-07

Related to Infrastructure - Story #5575: Migrate maven to a new repository lo... Closed 2014-09-02 2014-10-28

Related to CN REST - Story #6756: Refactor cn_rest_service Closed 2015-01-13

History

#1 - 2014-09-24 18:26 - Robert Waltz

- Due date changed from 2014-08-12 to 2014-09-24

- Target version changed from 2014.30-Block.4.3 to CCI-2.0.0

#2 - 2015-01-06 19:05 - Dave Vieglais

- Due date changed from 2014-09-24 to 2015-01-06

#3 - 2015-06-01 14:27 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Closing this as it is a duplicate of the organization provided by the CCI-2.0.0 version tag.

Powered by TCPDF (www.tcpdf.org)

2024-04-27 1/1

https://docs.google.com/a/nceas.ucsb.edu/document/d/1uK4WqoMuMqM93J03Z2N1Hm2-IkgZe4kXMNlieSjS-SY/edit
http://www.tcpdf.org

